Skip to main content

Get Space Config

GET 

/config

Retrieve the configuration of the content space determined from the Host header of the request. The space is looked up by name using the first label of the DNS name found in the Host header value. For example, when making a request with the URL https://main.net955305.contentfabric.io/config, the configuration for the space main will be returned.

The response contains locators (API endpoint URLs) for all services offered by the fabric network. They are selected based on the geo location of the requesting client and point to the fabric nodes that can best serve the client at the current time based on network topology, availability and load on the fabric network. The client should use the first locator returned for a given service and should fallback to any of the subsequent locators in the case it becomes unresponsive.

The elvgeo query parameter allows to override the locator lookup for a specific geo location instead of the geo location of the client.

Locators are also filtered by the access protocol that was used for this request. If the call was made with https://.../config, for example, only https URLs will be returned. Likewise a call to http://.../config will return only http URLs. The proto query parameter allows to override the protocol selection.

Request

Responses

Content space configuration.